cURL
curl --request GET \ --url https://api.firma.dev/functions/v1/signing-request-api/documents \ --header 'Authorization: <api-key>'
{ "results": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "document_url": "<string>", "document_url_expires_at": "2023-11-07T05:31:56Z", "document_page_count": 2, "status": "not_sent", "expiration_hours": 168, "settings": { "allow_download": true, "attach_pdf_on_finish": true, "allow_editing_before_sending": false, "send_signing_email": true, "send_finish_email": true, "send_expiration_email": true, "send_cancellation_email": true }, "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "date_created": "2023-11-07T05:31:56Z", "date_sent": "2023-11-07T05:31:56Z", "date_finished": "2023-11-07T05:31:56Z", "date_cancelled": "2023-11-07T05:31:56Z", "expires_at": "2023-11-07T05:31:56Z", "certificate": { "generated": true, "generated_on": "2023-11-07T05:31:56Z", "has_error": true }, "final_document_download_url": "<string>", "final_document_download_error": "file_not_accessible" } ], "pagination": { "current_page": 123, "page_size": 123, "total_count": 123, "total_pages": 123 } }
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Page number for pagination
x >= 1
Number of items per page
1 <= x <= 100
Documents retrieved successfully
Show child attributes
Was this page helpful?
Suggestions
Contact support